Bug 97540 - strdtod.3.gz does not document the requirements for strtof
Summary: strdtod.3.gz does not document the requirements for strtof
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: man-pages (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-17 15:03 UTC by Chris Green
Modified: 2007-04-18 16:54 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-01 20:29:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Green 2003-06-17 15:03:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4a) Gecko/20030401

Description of problem:
-D_XOPEN_SOURCE

is required for __USE_ISOC99 for the prototype for strtof to be defined.

The man page for strtof should document this requirement

 

Version-Release number of selected component (if applicable):
1.53-1

How reproducible:
Always

Steps to Reproduce:
1. man strtof
2. look for why #include <stdlib.h> isn't good enough
    

Actual Results:  nothing found

Expected Results:  For strtof to be available, you should include

-D_XOPEN_SOURCE

Additional info:

Comment 1 Eido Inoue 2003-08-01 20:29:39 UTC
the man pages are not tied to any particular version of C. Given enough time,
when gcc implements C99 by default, the macro may no longer be necessary.

The info pages for glibc are always the canon source for [the particular glibc]
implementation specific details.


Note You need to log in before you can comment on or make changes to this bug.